Subject: bug#47327: 28.0.50; (cl-generic) eql specializer not evaluated

From: Madhu <[email-masked]>
Date: Thu, 19 Aug 2021 17:11:34 +0530

* Christian Albrecht via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> :
Wrote on Tue, 10 Aug 2021 14:56:31 +0200:

>> `emacs --daemon'
>> `emacsclient -t'  fails to start with a no matching method error
>>
>> *ERROR*: No applicable method: frame-creation-function,
>>  ((vertical-scroll-bars) (height . 32) (width . 80) (client . #<process
>>  server <3>>) [...]  (window-system) (tty . "/dev/pts/3") (tty-type
>>  . "xterm-256color"))
>
> is this, by any chance, related to and fixed by
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=49877#28

I built master and I am not seeing the problem now, so this bug must
have been fixed.

[Both my analysis above and suggested fix seem to be wrong. I think
the problem was that my init file was requiring etags at some
point, which activated the error.
i.e. emacs --fg-daemon -Q -l etags
and  emacsclient -t
would have reproduced it and not the recipe i gave, sorry]